.content {
  min-width: 50px;
  min-height: 50px;
  display: flex;
  flex-direction: column;
  padding: 8px;
  border: 1px solid #c0c0c0;
  border-top: none;
  background: white;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
}

.content > div {
  flex: 1 1 auto;
  border: 1px solid #505050;
  overflow: auto;
}

.content input {
  margin: 8px;
}

.editor .container {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

.editor .container .tab-bar {
  flex-shrink: 1;
  flex-grow: 1;
  background-color: pink;
}

.editor .container .edit-area {
  flex-shrink: 1000;
  flex-grow: 1000;
}

.preview .preview-container {
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(45deg, #c0c0c0 25%, transparent 25%),
    linear-gradient(-45deg, #c0c0c0 25%, transparent 25%),
    linear-gradient(45deg, transparent 75%, #c0c0c0 75%),
    linear-gradient(-45deg, transparent 75%, #c0c0c0 75%);
  background-size: 20px 20px;
  background-position: 0 0, 0 10px, 10px -10px, -10px 0px;
  width: 100%;
  height: 100%;
}

.preview .preview-container > canvas {
  margin: 0;
}

.preview .error-area {
  display: none;

  color: black;
  background-color: #ff000020;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 100%;
  height: 100%;
}

.preview .error-message {
  background-color: #f00;

  width: 100%;
}

.outline ul {
  padding-left: 1em;
  list-style-type: none;
}

.outline .outline-tree {
  margin: 4px;
}

.outline .outline-tree {
  padding-left: 4px;
}

.outline .outline-element {
  margin: 0;
  padding: 0;
  width: 100%;
  display: block;
}

.outline .outline-element > span {
  display: block;
  user-select: none;
}

.outline .kind-class.outline-element span:before {
  font-family: "FontAwesome";
  content: "\f1b2 ";
  padding: 2px;
}

.outline .outline-element .active {
  background: #3333ff;
  color: #ffffff;
}

.properties-editor .element-header {
  background: #3333ff;
  color: #ffffff;
  font-size: 120%;

  width: 100%;
  height: 50px;
}

.properties-editor .name-column {
  white-space: nowrap;
}

.properties-editor .type-column {
  white-space: nowrap;
}

.properties-editor .value-column {
  width: 90%;
}

.properties-editor .properties-table {
  width: 100%;
}

.properties-editor .properties-table .undefined {
  background-color: #b0b0b0;
}

#help-content {
  height: 100%;
  width: 100%;
}
